#include <stdio.h>
#include <stdlib.h>
#include <rsbac/types.h>
#include <rsbac/syscalls.h>
#include <rsbac/error.h>
#include <rsbac/getname.h>

int main(int argc, char ** argv)
{
  int res = 0;
  char tmp1[80];
  
  res = rsbac_stats_pm();
      if(res)
        {
          if((res > -RSBAC_EPERM) || (res < -RSBAC_EDECISIONMISMATCH))
            printf("%s: error: %s\n", argv[0], strerror(-res));
          else
            {
              get_error_name(tmp1,res);
              printf("%s: error: %s\n", argv[0], tmp1);
            }
        }
    
  return (res);
}
